## dmucs 0.6.1+dfsg

=== COSMIC/Makefile ===
# Makefile for the Simple Sockets Library (C version)
#
#  Authors:  Charles E. Campbell, Jr., Ph.D.
#            Terry McRoberts
#
#
# Building the SSL:
#
# Some Unix (tm) boxes need to run a program called "ranlib" (ex. Sun)
# You will notice below a "#ranlib ..." line; if your machine needs it,
# remove the "#".
#
# Please modify the Makefile below for the following exceptions:
#
# Compiler Exceptions     Loader Exceptions
#                              SCO
#                              Solaris 2.1
#
# You may also wish to set the "RDCOLOR" environment variable in your
# login/profile/startup-sequence/etc file to be the string where the
# <rdcolor.dat> file is to be located.  Furthermore, you may wish to
# modify the <rdcolor.dat> file to include escape sequences for your
# favorite terminal(s) (should be fairly obvious by inspection how to
# do so using some editor).
#
# Option: The PortMaster can optionally use a "firewall" to keep unwanted
#         visitors out.  The PortMaster (Spm) uses an environment variable
#         (SPMFIREWALL) to specify where the firewall file is located.
#         One may also start up the PortMaster (Spm -f firewallfilename).
#         Please read the documentation on this.

CC = cc

OBJ = Saccept.o      Sprintf.o      Stest.o        outofmem.o     \
      Sclose.o       Sprtskt.o      Stimeoutwait.o rdcolor.o      \
      Sgets.o        Sputs.o        Svprintf.o     sprt.o         \
      Smaskwait.o    Sread.o        Swait.o        srmtrblk.o     \
      Smkskt.o       Sreadbytes.o   Swrite.o       stpblk.o       \
      Sopen.o        Srmsrvr.o      error.o        stpnxt.o       \
      Sopenv.o       Sscanf.o       fopenv.o       strnxtfmt.o    \
      Speek.o        cprt.o         Speername.o    Speeraddr.o    \
	  Sinit.o

# LIB: name of library
LIB       = simpleskts.a

# EXETGT: where to put executables, as seen from the viewpoint of the EXE
#  subdirectory
EXETGT=../EXE

# usual compiler stuff
CFLAGS    = -O -I./HDR
LOADLIBES = ../$(LIB)

# for SCO UNIX:
# LOADLIBES = ../$(LIB) -lsocket

# for Solaris 2.1
# LOADLIBES = ../$(LIB) -lnsl

# for g++ compiler: (tnx to Gary Johnson)
# CFLAGS= -Wall -ansi -pedantic -O -I./HDR

# all     : $(LIB) exes examples
all     : $(LIB)

$(LIB)  : $(OBJ)
	ar r simpleskts.a *.o
#	ranlib simpleskts.a
#	/bin/rm -f *.o
	@echo "finished updating simpleskts.a"

exes : $(LIB)
	( cd EXE;                                                  \
      make CC=$(CC) LIB=$(LIB) CFLAGS="-O -I../HDR" LOADLIBES=$(LOADLIBES) EXETGT=$(EXETGT) )

examples : $(LIB)
	( cd EXAMPLES;                                             \
      make CC=$(CC) LIB=$(LIB) CFLAGS="-O -I../HDR" LOADLIBES=$(LOADLIBES) )

distclean clean   :
	@/bin/rm -f *.a *.bak *.err $(OBJ)
	(cd EXE; make clean )
	(cd EXAMPLES ; make clean )
	@echo "All object files, the simpleskts library, and executables are now gone"

install :

=== COSMIC/EXAMPLES/Makefile ===
# Makefile for the Simple Socket Library's EXAMPLES
#  Note: not all the programs may build on your system,
#        (the oob*.c ones in particular)

# EXES: list of executables to be made
#       Note: not all of these may compile correctly,
#       ie. sktsig/oobrecv/oobsend, which have BSD-Unix dependencies
#
#       Cygwin, for example, will have problems with sigcontext structures
#       which affects oobrecv and sktsig.
# ------------------------------------------------------------------------
EXES=smsrvr smclient multiskt sktpoll talksrvr talkclient sktsig oobrecv oobsend

# to convert C into executables
.c:
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LOADLIBES) -o $@

# make all executables
all : $(EXES)

clean :
	/bin/rm -f *.o *.bak *.err $(EXES)

=== COSMIC/EXE/Makefile ===
# Makefile for the Simple Sockets Library (C version) Executables
#
#  NASA --   Goddard Space Flight Center, Code 714.1
#            Intelligent Robotics Laboratory
#            Robotics Branch
#
#  Authors:  Dr. Charles E. Campbell, Jr.
#            Terry McRoberts
#

# list of executables
EXES= Spm sktdbg spmtable srmsrvr spmchk

# to convert C into executables
.c:
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LOADLIBES) -o $(EXETGT)/$@

all : $(EXES)

clean :
	/bin/rm -f *.o *.bak *.err Spm sktdbg spmchk spmtable srmsrvr

## dmucs 0.6.1

=== debian/changelog ===
dmucs (0.6.1-3) unstable; urgency=medium

  * QA upload.
  * Improve build rules and switch to debhelper 9 source
    format 3.0 (quilt) (Closes: #668524).
  * Added 03_gcc-7.patch to fix gcc 7 build problem (Closes: #853376).
  * Acknowledge NMU (Closes: #574986).
  * Added Recommends on distcc (Closes: #663068).
  * Make build reproducible (Closes: #839647).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 18 Oct 2017 21:40:12 +0000

dmucs (0.6.1-2.1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Add missing init.d script dependencies (Closes: #541382).
  * Add watch file from Ubuntu (Closes: #559211).
  * Make sure to remove config.log in clean target.  Thanks to lintian
    for discovering the problem.
  * Add 01_fix_FTBFS_vsprintf.dpatch to fix build problem on alpha and
    sh4 by making sure va_list is used (Closes: #519824).  Add dpatch
    support to apply this patch.  Patch fromNobuhiro Iwamatsu.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Mar 2010 17:04:23 +0100

dmucs (0.6.1-2) unstable; urgency=low

  * fix amd64 build (Closes: #471187)
  * fix all build warnings
  * fix crash bug in monitor.cc when hostname conains no '.'

 -- Sam Clegg <samo@debian.org>  Sat, 21 Feb 2009 11:52:07 +0000

dmucs (0.6.1-1) unstable; urgency=low

  * debian/copyright: add copyright notice for files under COSMIC
  * Initial release (Closes: #407253)

 -- Sam Clegg <samo@debian.org>  Sun, 02 Mar 2008 17:42:55 +0000

=== debian/control ===
Source: dmucs
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
Standards-Version: 4.1.1
Homepage: http://dmucs.sourceforge.net/

Package: dmucs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Recommends: distcc
Description: distributed compilation system for use with distcc
 DMUCS is a system that allows a group of users to share a compilation farm.
 Each compilation request from each user will be sent to the fastest available
 machine, every time.  The system has these fine qualities:
  * Works with distcc, which need not be altered in any way.
  * Supports multiple operating systems in the compilation farm.
  * Uses all processors of a multi-processor compilation host.
  * Makes best use of compilation hosts with widely differing CPU speeds.
  * Takes into account the load on a host caused by non-compilation tasks.
  * Supports the dynamic addition and removal of hosts to the compilation farm.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_install:
	cp -a remhost addhost

override_dh_clean:
	dh_clean
	rm -f addhost config.log

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/dmucs/dmucs-(.*)\.tar\.bz2

## dmucs 0.6.1+dfsg

=== debian/changelog ===
dmucs (0.6.1+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Removed unused, non DFSG-compliant file test.cc from source. This also fixed
    a fail to build source after a successful build. (Closes: #1044290)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.7.0.
      - Removed obsolete package lsb-base from Depends.
      - Removed useless autotools-dev from Build-Depends.
  * debian/copyright:
      - Added missing upstream copyright information.
      - Migrated to machine-readable 1.0 format.
      - Updated packaging copyright information.
  * debian/gbp.conf: set debian-branch to debian/master to comply with DEP-14
    layout recommendations.
  * debian/rules:
      - Added an override to dh_auto_configure to avoid passing the unrecognized
        option: `--runstatedir=/run' to configure.
      - Removed '-Wl,--as-needed' linker flag, as since bullseye the toolchain
        defaults to linking with it.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: migrated to version 4.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 22 Apr 2024 00:19:52 +0000

dmucs (0.6.1-4) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/patches/50_fix-FTBS-GCC-13.patch: added to fix FTBFS with GCC-13.
    (Closes: #1037619)

 -- David da Silva Polverari <polverari@debian.org>  Sat, 05 Aug 2023 05:23:45 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: http://dmucs.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/debian/dmucs.git
+Vcs-Browser: https://salsa.debian.org/debian/dmucs
 
 Package: dmucs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: distcc
 Description: distributed compilation system for use with distcc
  DMUCS is a system that allows a group of users to share a compilation farm.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

override_dh_auto_install:
	cp -a remhost addhost

override_dh_auto_configure:
	./configure

override_dh_clean:
	dh_clean
	rm -f addhost config.log

%:
	dh $@

=== debian/watch ===
version=4
http://sf.net/dmucs/dmucs-(.*)\.tar\.bz2
